   <% if false %>
   <!-- <section id="social-v1">
    <section class="pb-4">
       <div class="bg-white border rounded-5">
          <section class="p-4 d-flex justify-content-center w-100" style="background-color: #fbfbfb; border-radius: .5rem .5rem 0 0;">
             <section class='post-wrapper'>
                <div class="card" style="max-width: 42rem">
                   <div class="card-body">
                      <div class="d-flex mb-3 mt-1">
                         <a href="">
                            <img src="https://mdbcdn.b-cdn.net/img/new/avatars/18.webp" class="border rounded-circle me-2" alt="Avatar" style="height: 40px">
                         </a>
                         <div>
                            <a href="" class="text-dark mb-0">
                            <strong>Anna Dtmloe</strong>
                            </a>
                            <a href="" class="text-muted d-block" style="margin-top: -6px">
                            <small>10h</small>
                            </a>
                         </div>
                      </div>
                        <% if post.expert_opinion? %>
                            <div>
                                <strong>
                                    <%= post.title %>
                                </strong>
                            </div>
                        <% end %>	
                      <div>
                         <p>
                           <%= post.description %>
                         </p>
                      </div>
                   </div>
                   <div class="bg-image hover-overlay ripple rounded-0" data-mdb-ripple-color="light">
                    <% count = post.files.size %>
                    <% if count == 1 %>
                        <div style="width:100%">
                            <% post.files.each do |file| %>
                                <%= post_image_tag(file) %>
                            <% end %>
                        </div>
                    <% elsif count >= 2 %>
                        <% post.files.each do |file| %>
                            <div style="width:50%">
                                <%= post_image_tag(file) %>
                            </div>
                        <% end %>
                    <% end %>
                     
                      <a href="#!">
                         <div class="mask" style="background-color: rgba(251, 251, 251, 0.2)"></div>
                      </a>
 
                   <% if post.clip.attached?  %>
                      <video
                       id="my-video"
                       class="video-js"
                       controls
                       preload="auto"
                       width="540"
                       height="264"
                       poster="MY_VIDEO_POSTER.jpg"
                       data-setup="{}"
                     >
                       <source src="<%= url_for(post.clip) %>" type="video/webm" />
                     </video>
                    <% elsif post.files.size > 0 %>

                    <% end %>
 
                   </div>
                   <div class="card-body">
                      <div class="d-flex justify-content-between mb-3">
                         <div>
                            <a href="">
                            <i class="fas fa-thumbs-up text-primary"></i>
                            <i class="fas fa-heart text-danger"></i>
                            <span id="post-<%= post.id %>-likes-count"><%=post.likes.count %></span>
                            </a>
                         </div>
                         <div>
                            <a href="" class="text-muted" id="post-<%= post.id %>-comments-count"> <%= post.comments.count %> comments </a>
                         </div>
                      </div>
                      <div class="d-flex justify-content-between text-center border-top border-bottom mb-4">
 
                         <div id="post-<%= post.id %>-like-dislike-card">
                           <%= render partial: 'likes/post_like_dislike', locals: {post: post} %>
                         </div>  
 
                         <button type="button" class="btn btn-link btn-sm" data-mdb-ripple-color="dark">
                         <i class="fas fa-comment-alt me-2"></i>Comment
                         </button>
                         <button type="button" class="btn btn-link btn-sm" data-mdb-ripple-color="dark">
                         <i class="fas fa-share me-2"></i>Share
                         </button>
                      </div>
                      <div class="d-flex mb-3">
                         <a href="">
                         <img src="https://mdbcdn.b-cdn.net/img/new/avatars/18.webp" class="border rounded-circle me-2" alt="Avatar" style="height: 40px">
                         </a>
                         <div class="form-outline w-100">
                             <%= form_with(model: [post, Comment.new], remote: true) do |f| %>
                               <div class="form-group">
                                 <%= f.text_area :content, class: 'form-control parent-comment-text', placeholder: 'Write a comment...' %>
                                 <%= f.hidden_field :commentable_type, value: 'Post' %>
                                 <%= f.hidden_field :commentable_id, value: post.id %>
                               </div>
                               <%= f.submit 'Post', class: 'btn btn-primary btn-sm mt-2', required: true %>
                             <% end %>
                            <div class="form-notch">
                               <div class="form-notch-leading" style="width: 9px;"></div>
                               <div class="form-notch-middle" style="width: 104.8px;"></div>
                               <div class="form-notch-trailing"></div>
                            </div>
                         </div>
                      </div>
                      <div id="post-<%= post.id %>-comments">
                        <% post.comments.parent_comments.order('created_at DESC').each do |comment| %>
                         <%= render :partial => 'comments/comment', locals: {comment: comment, post: post} %>
                        <% end %>
                       </div> 
                   </div>
                </div>
             </section>
          </section>
       </div>
    </section>
 </section> -->
   <% end %>


<div class='col-md-12 border post-card-container' >
    <div class="row mt-3">
        <div class="col-sm-1">
            <img src="https://mdbcdn.b-cdn.net/img/new/avatars/18.webp" class="border rounded-circle me-2" alt="Avatar" style="height: 40px">
        </div>
        <div class="col-sm-11">
            <p class="pl-3 mb-0">
              <% if post.business.present? %>
								<%= post.business.name %>
							<% else  %>
								<%= current_user.name %>
							<% end  %>
            </p>
            <p class="text-muted pl-3  mb-0">
                10h
            </p>
        </div>
    </div>
    <div class="row">
        <p class="title mb-0">
            <%= post.expert_opinion? ? (raw "<strong>#{post.title}</strong>") : ''%>
        </p>
        <div>
            <p class="sub-title">
                <%= post.description %>
            </p>
        </div>
    </div>


    <% if post.clip.attached?  %>
        <div class="row" id="post-video-wrapper">
            <video
            id="my-video"
            class="video-js"
            controls
            preload="auto"
            width="100%"
            height="100%"
            poster="MY_VIDEO_POSTER.jpg"
            data-setup="{}"
            >
                <source src="<%= url_for(post.clip) %>" type="video/webm" />
            </video>
        </div>
    <% elsif post.files.size > 0 %>
        <div class="row" id="post-images-wrapper">
            <% count = post.files.size %>
            <% class_to_appened = (count >= 2) ? 'col-sm-6' : 'col-sm-12' %>
            <% post.files.each_with_index do |file, index| %>
                <% if index > 1 %>
                    <div class="image-container hide">
                        <%= post_image_tag(file) %>
                    </div>
                <% else %>
                    <div class="image-container <%= class_to_appened %>">
                        <%= post_image_tag(file) %>
                        <!-- <% if index == 1 && count > 2 %>
                            <div class="more-image-wrapper">
                                <span class="number-plus">
                                    +<%#= (count - 2) %>
                                </span>
                            </div>
                        <% end %> -->
                    </div>
                <% end %>
            <% end %>

        </div>
		<% elsif post.poll? %>
			<% poll = post.polls.last %>
        <% record = vote_record(poll) %>
			<div class='row poll-section'>
				<div class='poll-section-wrapper'>
					<div class='col-md-12'>
						<%= poll.question %>
					</div>
					<% result_klass = record.present? ? '' : 'hide' %>
					<div class='poll-result-wrapper <%= result_klass %>' id="poll-result-wrapper-<%= poll.id %>">
						<%= render partial: 'shared/poll_results', locals: { poll: poll } %>
					</div>
					<div class='submit-poll-response' id='poll-respond-<%= poll.id %>'>
						<% unless record.present? %>
							<%= render partial: 'shared/respond_to_poll', locals: { poll: poll }  %>
						<% end %>
					</div>	
					<div class='col-md-12 mt-2'>
						<div id='poll-btn-options-<%= poll.id%>'>
							<%= render partial: 'shared/poll_btn_options', locals: { record: record, poll: poll } %>
						</div>	
					</div>
				</div>
			</div>
    <% end %>

    <div class="row like-share-counter">
        <% if post.likes.count > 0%>
            <div class="col-sm-3 likes">
                <span><i class="fas fa-light fa-thumbs-up text-primary"></i>&nbsp;<%=post.likes.count %></span>
            </div>
        <% end%>
        <% if post.comments.count > 0%>
            <div class="col-sm-9 pull-right comments">
                <a href=""><%= post.comments.count %> comments</span></a>
            </div>
        <% end %>
    </div>
    <div class="row share-buttons-container">
        <%can_share_post= false%>
        <% class_to_add = can_share_post ? 'col-sm-3' : 'col-sm-6'%>
        <% if can_share_post %>
            <%= render partial: 'likes/post_like_dislike', locals: {post: post, class_to_add: 'col-sm-3'} %>

            <div class="col-sm-3 btn btn-default btn-button">
                <i class="fa-solid fa-comment"></i>&nbsp;&nbsp;Comments
            </div>
            <div class="col-sm-3 btn btn-default btn-button">
                <i class="fa-solid fa-share"></i>&nbsp;&nbsp;Share
            </div>
            <div class="col-sm-3 btn btn-default btn-button">
                <i class="fa-solid fa-paper-plane"></i>&nbsp;&nbsp;Send
            </div>
        <% else %>
            <%= render partial: 'likes/post_like_dislike', locals: {post: post, class_to_add: 'col-sm-6'} %>

            <div class="col-sm-6 btn btn-default btn-button">
                <i class="fa-solid fa-comment"></i>&nbsp;&nbsp;Comments
            </div>
        <% end %>
    </div>
    <div class="row mt-3" id="add-comment-container">
        <div class="col-md-1">
            <img src="https://mdbcdn.b-cdn.net/img/new/avatars/18.webp" class="border rounded-circle me-2" alt="Avatar" style="height: 40px">
        </div>
        <div class="col-md-11">
            <div class="form-outline w-100">
                <%= form_with(model: [post, Comment.new], remote: true) do |f| %>
                  <div class="form-group">
                    <%= f.text_area :content, class: 'form-control parent-comment-text', placeholder: 'Add a comment...' %>
                    <%= f.hidden_field :commentable_type, value: 'Post' %>
                    <%= f.hidden_field :commentable_id, value: post.id %>
                  </div>
                  <%= f.submit 'Post', class: 'btn btn-primary btn-sm mt-2', required: true %>
                <% end %>
               <div class="form-notch">
                  <div class="form-notch-leading" style="width: 9px;"></div>
                  <div class="form-notch-middle" style="width: 104.8px;"></div>
                  <div class="form-notch-trailing"></div>
               </div>
            </div>
        </div>
    </div>
    <div class="row mt-3" id="post-<%= post.id %>-comments">
        <% post.comments.parent_comments.order('created_at DESC').each do |comment| %>
        <%= render :partial => 'comments/comment', locals: {comment: comment, post: post} %>
       <% end %>
    </div>
</div>